include <../3dlib/rohr.scad>
include <../3dlib/emile.scad>

FS_BREITE = 30;
FS_DICKE = 5;
RING_FS = [ FS_BREITE, FS_DICKE ];

RING_1_DIAMETER = 700;
RING_1_GLASSES = 20;
RING_2_DIAMETER = 400;
RING_2_GLASSES = 10;
RING_2_SUBSIDENCE = 200;

$fn = 36;

// Baut einen voll bestückten Ring
// diameter ist der Radius des Rings
// fs_w und fs_t sind Breite und Dicke des Flachstahls
// num_coke ist die Anzahl an Gläsern, die gleichmäßig auf dem Ring verteilt werden sollen
module full_ring(diameter, fs_w, fs_t, num_coke) {
    difference() {
        cylinder(h=fs_w, d=diameter + fs_t/2, $fn = num_coke);
        cylinder(h=fs_w, d=diameter - fs_t/2, $fn = num_coke);
    }
    
    // equip that ring
    for(i = [0 : 360/num_coke : 360]) {
        rotate([0, 0, i])
        translate([diameter/2, 0, 0])
        emile();
    }
}


full_ring(RING_1_DIAMETER, FS_BREITE, FS_DICKE, RING_1_GLASSES);
echo("Ring 1 Belastung via Gläser", RING_1_GLASSES*0.25);

translate([0, 0, - RING_2_SUBSIDENCE])
full_ring(RING_2_DIAMETER, FS_BREITE, FS_DICKE, RING_2_GLASSES);
echo("Ring 2 Belastung via Gläser", RING_2_GLASSES*0.25);